This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 176581 - Review Request: fnord -- A very fast HTTP server
Review Request: fnord -- A very fast HTTP server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Package Reviews List
:
Depends On: 173459 176579 176582
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2005-12-26 19:44 EST by Enrico Scholz
Modified: 2009-01-07 13:08 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 04:40:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2005-12-26 19:44:12 EST
Spec Name or Url: http://ensc.de/fedora/fnord.spec
SRPM Name or Url: http://ensc.de/fedora/fnord-1.10-0.1.src.rpm
GNU Arch: ensc@ensc.de--fedora (http://ensc.de/tla/{archives}/fedora)
          fnord--review--0

Description:

fnord is a small and fast webserver with CGI-capability and has been
written by Felix von Leitner. fnord supports virtual hosting und runs
under tcpserver/ipsvd.
Comment 1 Enrico Scholz 2005-12-26 22:43:29 EST
* Tue Dec 27 2005 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 1.10-0.7
- added initng initscripts
- do not make the 'fnord' user a member of the 'www' group because
  this group does not exist in a minimal installation
- added /srv/www/fnord directory
- apply -setgid patch


http://ensc.de/fedora/fnord.spec
http://ensc.de/fedora/fnord-1.10-0.7.src.rpm
Comment 2 Lubomir Kundrak 2007-06-21 08:12:05 EDT
Hi, Enrico. Your package looks very well. I just have a couple of questions
before I approve it;

1.) You provide initng startup script, but what about classical LSB init
scripts? Please refer to existing init scripts or the following document
in case you need some aid writing them: [1]

http://www.linux-foundation.org/spec//booksets/LSB-Core-generic/LSB-Core-generic.html#TOCSYSINIT

2.) Apart from init scripts -- is fnord able to run only in standalone mode
or also from inetd? In case it is able to run from inetd, please provide
a xinetd file for the server.

3.) Why do you link against dietlibc, not glibc? Does dietlibc make sense for
anything apart from embedded environments? As far as I know, glibc can not
be easily removed from Fedora, nor am I able to imagine why would someone do
that.
Comment 3 Lubomir Kundrak 2007-06-21 08:34:44 EDT
Some additional comments and complete review:

* rpmlint:
E: fnord non-standard-gid /srv/www/fnord fnord
E: fnord non-standard-dir-perm /srv/www/fnord 0750

The ownership and path are both fine.
But could you please pick some more standard path than /srv?
Would /var/www be a good choice?

E: fnord statically-linked-binary /usr/sbin/fnord-httpd
E: fnord statically-linked-binary /usr/sbin/fnord-idx
E: fnord statically-linked-binary /usr/sbin/fnord-cgi

I asked about linking against dietlibc in the comment above.

* The package is named according to guidelines
* Spec file name is fine
* Package meets the guidelines
* Package is licensed under GPL
* The license text is included in documentation
* To the extend I understand, the spec file is in American English
* The spec file is clear, legible and easily understandable
* The source matches upstream
     fnord-1.10.tar.bz2 = MD5(4c7d9f0e2b2f071d4687688f3018ba91)

What is the Source1: http://www.fefe.de/fnord/%name-%version.tar.bz2.sig good for?

* Tried compiling and running on i386 and x86_64 successfully
* Dependency list seems to be complete
* Package makes no use of locales
* Does not provide dynamically loaded libraries
* Not relocatable
* Package owns the directory it creates (though correctness of the path is
questionable, see comment at the top of this comment)
* Contains no duplicate entries in %files
* %files sections are fine and contain %defattr
* Contains proper %clean section
* Consistently uses macros
* Contains permissable content (code)
* No large quantities of documentation
* %doc files are not required for correct function
* No header files
* No static libraries
* No pkgconfig files
* No library files
* No devel subpackage
* No libtool archives
* No GUI
* No confilcts about files with anny other package
* %install begins with removal of PRM_BUILD_ROOT as it should
* All filenames are 7bit ASCII, so also valid UTF-8
Comment 4 Lubomir Kundrak 2007-07-11 04:40:59 EDT
#176582#c6 says that
> FESCo voted against allowing ipsvd to link statically against dietlibc in
> Fedora. I don't see how the outcome could be different for this package, but if
> you want it to also be voted upon, please say so.

Same for this package.

Packages depending on this were revoked, so I am refusing also this one.
If you feel that it was an incorrect decision, please reopen and let me know.

Also, if you would use the same reasoning as in #176582#c2, please do not
bother to reopen. Arguments like "are implemented correctly" are not only just
not good enough FESCo, but for everyone.

Note You need to log in before you can comment on or make changes to this bug.